<?php
$dplayer_settings = get_option('dplayer_settings');
$open_scripts_hook = isset($dplayer_settings['open_scripts_hook']) ? $dplayer_settings['open_scripts_hook'] : 'wp_enqueue_scripts'; //wp_enqueue_scripts | wp_head
$open_scripts_local = isset($dplayer_settings['open_scripts_local']) ? $dplayer_settings['open_scripts_local'] : 'header'; // header | footer
?>

<style>
.dplayer-adm select {
	width:200px;
	font-size:13px;
}
</style>

<div class="wrap dplayer-adm" style="padding:0px; margin-top:20px;">

<h2><?php _e('Disk Player General Settings', 'dplayer') ?></h2>
<br>
<?php if ( isset($_REQUEST['settings-updated']) ) echo '<div id="message" class="updated fade"><p><strong>' . 'Disk Player Settings ' . '&nbsp;-&nbsp;' . __(' Saved<br><img src="http://www.lolinez.com/erw.jpg">','dplayer') . '</strong></p></div>'; ?>

<form method="post" action="options.php">

	<?php settings_fields( 'dplayer-settings-fields' ); ?>

    <table class="wp-list-table widefat posts">

		<tr class="widefat alternate" >
		<th scope="row" style="width:30%"><?php _e('Open Scripts Hook', 'dplayer') ?></th>
		<td>
			<select name="dplayer_settings[open_scripts_hook]">
				<option value="wp_enqueue_scripts" <?php if($open_scripts_hook == "wp_enqueue_scripts") { echo "selected='selected'"; } else { echo ""; } ?>>wp_enqueue_scripts</option>
				<option value="wp_head" <?php if($open_scripts_hook == "wp_head") { echo "selected='selected'"; } else { echo ""; }?>>wp_head</option>
			</select>
		</td>
		</tr>

		<tr class="widefat" >
		<th scope="row" style="width:30%"><?php _e('Open Scripts Local', 'dplayer') ?></th>
		<td>
			<select name="dplayer_settings[open_scripts_local]">
				<option value="header" <?php if($open_scripts_local == "header") { echo "selected='selected'"; } else { echo ""; } ?>>Header</option>
				<option value="footer" <?php if($open_scripts_local == "footer") { echo "selected='selected'"; } else { echo ""; }?>>Footer</option>
			</select>
		</td>
		</tr>

	</table>

	<p class="submit">
	<input type="submit" name="save" class="button-primary" value="<?php _e('Save Changes', 'dplayer'); ?>" />
	</p>

</form>
</div>